# NOTE

This is an updated version of the [original mod by Blobface](https://thunderstore.io/package/Blobface/Artifact_of_the_King/). No changes were made other than compatibility to the SOTV update. Should they update their version or wish for this to be removed then it will be.

## Artifact of the King

Artifact that makes Mithrix more difficult. Mithrix is balanced around first loop. Phase 1-3 tend to become trivial on later loops, or with good RNG. This mod is intended to make Mithrix more difficult to better scale with powerful builds.

## What's different

- Hammer Slam (primary) now launches 16 of his Phase 4 orbs in a circle, and has reduced cooldown, and has 2 max stocks.
- Hammer Dash (secondary) now launches a fan of 10 lunar shards, has reduced cooldown, and has 2 max stocks
- Slide (utility) now launches a shotgun of 5 lunar shards, has reduced cooldown, and has 4 max stocks
- Sky Leap (special) now launches triple the wave projectiles and activates much faster. Fun Surprise in phase 3.
- Ultimate (alternate special) now launches more waves faster
- Lunar Shards have improved homing
- Sprinting Lunar Shards fires much more projectiles in a much wider spread.
- Mithrix has generally improved movement stats that make him more agile and give him better responses to aerial kiting.

## Known Issues

- Mithrix's AI tends to not use his primary skill if his movement increases

## Future Plans

- AI changes
- Reward for beating Mithrix with the artifact on
- Burst Damage protection
- Add config to make the effects constant instead of artifact based

## Credits

- Lambda Male for the icon sprites
- Whole fuckton of people for helping me in the #development chat

## Changelog

- Initial Release
  `0.1.0`

- Homing on lunar shards tweaked. Projectiles fixed for multiplayer. Bugged damage values fixed.
  `0.1.1`

- Adaptive Armor cap, increase rate, and decay rate doubled. Phase 3 Skyleap tweaked.
  `0.2.0`

- Artifact Functionality
  `0.3.0`

- Fixed IL error at the beginning of phase 3
  `0.3.1`

- Finally got rid of that horrible placeholder icon
  `0.4.0`
  
  - Updated for anniversary update
  
  - Redid lots of the code so it doesn't make me want to cry
  
  - A frankly excessive amount of configuration

- Mithrix now has Moon Shoes
  `1.0.0`

- Fixed an issue with extra lunar shards doing way more than intended damage, adjusted damage values.
  `1.0.1`

- Fixed some stats and changes not reverting after the artifact is turned off.
  `1.0.2`

- Compatibility with the Survivors of the Void update.
  `1.1.0`